Subject: bug#79369: closed (Re: bug#79369: seq generates wrong sequences for big numbers)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Sep 2025 19:54:02 +0000

Your bug report

#79369: seq generates wrong sequences for big numbers

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79369: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79369
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79369: seq generates wrong sequences for big numbers
From: Pádraig Brady <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 2 Sep 2025 20:53:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/09/2025 16:52, Pádraig Brady wrote:
> On 02/09/2025 13:11, [email-masked] wrote:
>> It looks like seq for integers bigger than 2^64 sometimes generate wrong
>> results. There are few examples of wrong output I have found:
>>
>>
>> $ seq 18446744073709551617 inf | head -3
>>
>> 18446744073709551616
>> 18446744073709551617
>> 18446744073709551618
>>
>>
>>
>>
>>
>> $  seq 10000000000000000000000000000 inf | head -3
>>
>>
>> 9999999999999999999731564544
>> 9999999999999999999731564545
>> 9999999999999999999731564546
> 
> We can improve for the above 2 cases anyway,
> with something like the attached.
> 
> Large magnitude negative start values are still problematic.

Ok I pushed that with a test included:https://github.com/coreutils/coreutils/commit/701416709
Marking this as done.

thanks,
Padraig

Subject: seq generates wrong sequences for big numbers
From: <[email-masked]>
To: <[email-masked]>
Date: Tue, 02 Sep 2025 14:11:28 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

It looks like seq for integers bigger than 2^64 sometimes generate wrong 
results. There are few examples of wrong output I have found:

$ seq 18446744073709551617 inf | head -3

18446744073709551616
18446744073709551617
18446744073709551618

$  seq 10000000000000000000000000000 inf | head -3

9999999999999999999731564544
9999999999999999999731564545
9999999999999999999731564546

$  seq -1000000000000000000000000 0 | head -3

-1000000000000000000000000
-1000000000000000000000000
-1000000000000000000000000

It is similar to bug #75994 which reports the same issue but only for "-w" 
option.